Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## mx4j.tools.config
Class ConfigurationException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              mx4j.tools.config.ConfigurationException

All Implemented Interfaces:
  java.io.Serializable

public class ConfigurationException
extends java.lang.Exception

Version:
  $Revision: 1.3 $
See Also:
  Serialized Form

Constructor Summary
`ConfigurationException()`
`ConfigurationException(java.lang.String message)`
`ConfigurationException(java.lang.String message, java.lang.Throwable cause)`
`ConfigurationException(java.lang.Throwable cause)`

Method Summary
`java.lang.Throwable` | `getCause()`
`void` | `printStackTrace()`
`void` | `printStackTrace(java.io.PrintStream stream)`
`void` | `printStackTrace(java.io.PrintWriter writer)`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, initCause, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ConfigurationException

    public ConfigurationException()

### ConfigurationException

    public ConfigurationException(java.lang.String message)

### ConfigurationException

    public ConfigurationException(java.lang.Throwable cause)

### ConfigurationException

    public ConfigurationException(java.lang.String message,
                                  java.lang.Throwable cause)

Method Detail

### getCause

    public java.lang.Throwable getCause()

### printStackTrace

    public void printStackTrace()

### printStackTrace

    public void printStackTrace(java.io.PrintStream stream)

### printStackTrace

    public void printStackTrace(java.io.PrintWriter writer)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 The MX4J Contributors. All Rights Reserved.